
package com.tmerclub.cloud.seckill.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 秒杀活动skuDTO
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
public class SeckillSkuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "秒杀活动单个skuid")
    private Long seckillSkuId;

    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "秒杀活动id")
    private Long seckillId;

    @Schema(description = "用于秒杀的库存")
    private Integer seckillStocks;

    @Schema(description = "秒杀价格")
    private Long seckillPrice;

    @Schema(description = "库存关联列表")
    private List<SeckillStockPointSkuDTO> seckillStockPointList;

    public List<SeckillStockPointSkuDTO> getSeckillStockPointList() {
        return seckillStockPointList;
    }

    public void setSeckillStockPointList(List<SeckillStockPointSkuDTO> seckillStockPointList) {
        this.seckillStockPointList = seckillStockPointList;
    }

    public Long getSeckillSkuId() {
        return seckillSkuId;
    }

    public void setSeckillSkuId(Long seckillSkuId) {
        this.seckillSkuId = seckillSkuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getSeckillId() {
        return seckillId;
    }

    public void setSeckillId(Long seckillId) {
        this.seckillId = seckillId;
    }

    public Integer getSeckillStocks() {
        return seckillStocks;
    }

    public void setSeckillStocks(Integer seckillStocks) {
        this.seckillStocks = seckillStocks;
    }

    public Long getSeckillPrice() {
        return seckillPrice;
    }

    public void setSeckillPrice(Long seckillPrice) {
        this.seckillPrice = seckillPrice;
    }

    @Override
    public String toString() {
        return "SeckillSkuDTO{" +
                "seckillSkuId=" + seckillSkuId +
                ", skuId=" + skuId +
                ", seckillId=" + seckillId +
                ", seckillStocks=" + seckillStocks +
                ", seckillPrice=" + seckillPrice +
                '}';
    }
}
